SYD-READ(1)

NAME

syd-read - print resolved symbolic links or canonical file names

SYNOPSIS

syd-read [-hmnzBDFMNPUX] [-c n] [-d dir] [-p pid] path...

DESCRIPTION

The syd-read utility prints resolved symbolic links or canonical file names. By default last component may exist, other components must exist.

OPTIONS

-h | Display help.
-c n | Cycle through the path list n times, useful for benchmarking.
-d dir | Resolve relative to the given directory.
-p pid | Resolve from the perspective of the given process ID.
-m | All components of the paths must exist, conflicts with -M.
-M | Last component must not exist, other components must exist, conflicts with -m.
-B | Resolve beneath the given directory, useful with -d dir.
-D | Do not traverse through ".." components.
-X | Do not traverse through mount points.
-F | Do not follow symbolic links for any of the path components.
-N | Do not follow symbolic links for the last path component.
-P | Do not resolve /proc magic symbolic links.
-U | Resolve unsafe /proc magic symbolic links.
-n | Do not output the trailing delimiter.
-z | End each output line with NUL not newline.

SEE ALSO

syd(1), syd(2), syd(5), readlink(1), realpath(3)

syd homepage: https://sydbox.exherbo.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.